freeslot("SPR_SABR")

PSO.info.items["saber"] = {
		
		name = "Saber",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. Mass produced saber popular for its design making it light yet extremely effective.",
		
}

PSO.info.items["brand"] = {
		
		name = "Brand",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 2,
		atk = 28,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_BLUE,
		
		req = 4,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. An improved saber commonly used for its more appealing colour to some.",
		
}

PSO.info.items["slash"] = {
		
		name = "Slash",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 3,
		atk = 40,
		
		sprite = SPR_SABR,
		frame = A,
		splatframe = B,	-- while swinging.
		color = SKINCOLOR_MINT,
		
		req = 8,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. The best basic model of a Saber, used in the millitary alongside handguns, usually.",
		
}

-- 4 star
PSO.info.items["cutter"] = {
		
		name = "Cutter",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 4,
		atk = 51,
		
		req = 16,
		
		sprite = SPR_SABR,
		frame = G,
		splatframe = H,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		sound = sfx_sword,
		
		pa_cost = 90,
		pa_damage = 90,
		
		desc = "Right handed weapon. A simple design with a short handle, yet extremely effective.",
		
}

PSO.info.items["claw"] = {
		
		name = "Claw",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 4,
		atk = 52,
		
		req = 16,
		
		sprite = SPR_SABR,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_FLAME,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. Saber modelled after a claw with two blades to increase accuracy. Its looks alone make it very popular.",
		
}

-- 5 star
PSO.info.items["alva cutter"] = {
		
		name = "Alva Cutter",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 5,
		atk = 62,
		
		req = 24,
		
		sprite = SPR_SABR,
		frame = G,
		splatframe = H,	-- while swinging.
		color = SKINCOLOR_PURPLE,
		
		sound = sfx_sword,
		
		pa_cost = 90,
		pa_damage = 90,
		
		desc = "Right handed weapon. An improved Cutter with a sharper blade at no compromises.",
		
}

PSO.info.items["alva claw"] = {
		
		name = "Alva Claw",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 5,
		atk = 62,
		
		req = 24,
		
		sprite = SPR_SABR,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_PURPLE,
		
		sound = sfx_sword,
		
		desc = "Right handed weapon. An improved Claw with sharper blades",
		
}

-- 6 star
PSO.info.items["vita cutter"] = {
		
		name = "Vita Cutter",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 5,
		atk = 79,
		
		req = 31,
		
		sprite = SPR_SABR,
		frame = G,
		splatframe = H,	-- while swinging.
		color = SKINCOLOR_GOLD,
		
		sound = sfx_sword,
		
		pa_damage = 90,
		
		desc = "Right handed weapon. The size of the blade made it impossible to raise the output with sacrifing photon efficiency.",
		
}

PSO.info.items["vita claw"] = {
		
		name = "Vita Claw",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 6,
		atk = 79,
		
		req = 31,
		
		sprite = SPR_SABR,
		frame = E,
		splatframe = F,	-- while swinging.
		color = SKINCOLOR_GOLD,
		
		sound = sfx_sword,
		
		pa_cost = 110,
		
		desc = "Right handed weapon. It was impossible to raise the output of both blades without sacrificing a fair chunk of photon efficiency.",
		
}

-- 7 star
PSO.info.items["orakl soaringblade"] = {
		
		name = "Orakl S. Blade",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 7,
		atk = 101,
		
		req = 41,
		
		sprite = SPR_SABR,
		frame = C,
		splatframe = D,	-- while swinging.
		
		sound = sfx_sword,
		
		pa_cost = 90,
		
		desc = "Right handed weapon. Came in a set of two, has an ARKS moniker despite not ever being manufactured, so nobody knows where it's from.",
		
}

PSO.info.items["winginator"] = {
		
		name = "Winginator",
		type = IT_WEAPON,
		weapontype = WPT_SABER,
		rarity = 7,
		atk = 92,
		
		req = 35,
		
		sprite = SPR_SABR,
		frame = I,
		splatframe = J,	-- while swinging.
		
		sound = sfx_sword,
		
		pa_cost = 105,
		
		desc = "Makeshift saber from a Penguinator's wing. Surprisingly, it doesn't come with a self destruct button.",
		
}