-- Shows everyone's status

hud.disable("rankings")
hud.disable("coopemeralds")
hud.disable("tokens")
hud.disable("tabemblems")

hud.add(function(v)
	
	local x = 8
	local y = 12
	
	local w = 80
	local h = 12
	
	v.fadeScreen(31, 5)
	
	for p2 in players.iterate do
	--for i = 1, 32
		--local p2 = players[0]	(yeah, that's for testing...)
		if p2 and p2.mo and p2.mo.valid and p2.pso
			
			v.drawFill(x, y, w, h, 253)
			v.drawString(x+1, y+1, "\x82".."Lv".."\x80"..string.format("%03d", p2.pso.level), V_ALLOWLOWERCASE, "thin")
			
			v.drawString(x+32, y+1, p2.name:sub(1, 8), (p2 == consoleplayer and V_YELLOWMAP or 0)|V_ALLOWLOWERCASE, "thin")
			
			local hp_col = {35, 34, 54, 73, 189, 98, 98, 98, 98, 98}
			--print(p.pso.hp*10/p.pso.maxhp)
			local usecol = hp_col[(p2.pso.hp*10/p2.pso.maxhp) or 1] or 98
			
			v.drawFill(x+2, y+9, w-8, 2, 26)
			v.drawFill(x+2, y+9, p2.pso.hp*(w-9)/p2.pso.maxhp, 1, usecol)

			-- status conditions:
			local statusx = x + w+1
			if p2.pso.condition
			and (p2.pso.conditiontimer > TICRATE*3 or p2.pso.conditiontimer & 1)
				v.drawScaled(statusx<<FRACBITS, y<<FRACBITS, FRACUNIT/2, v.cachePatch("H_STATUS"..p2.pso.condition))
			end
			
			-- s/d j/z
			local st = {"shifta", "deband", "jellen", "zallure"}
			local pp = {"H_STATUS8", "H_STATUS16", "H_STATUS32", "H_STATUS64"}
			local sx = statusx
			
			for i = 1, #st
				if p2.pso[st[i]]
					if (p2.pso[st[i]] > TICRATE*10 or p2.pso[st[i]] & 1)
						v.drawScaled(sx<<FRACBITS, (y+6)<<FRACBITS, FRACUNIT/2, v.cachePatch(pp[i]))
					end
					sx = $+ 6
				end
			end
		
			y = $+h+4
			
			if y > 200 - h - 4
				y = 12
				x = $ + w + 32
			end
		end
	end
end, "scores")