local mapnum = 5
table.insert(PSO.info.questmaps, {mapnum, true})	-- map starts off locked
PSO.info.quests[mapnum] = {}

/*
	quest format:
	{
		>>COSMETIC STUFF
		name: 		quest name
		objective:	description of the objective
		desc: 		description
	
	
		>>ACTUAL GAMEPLAY RELEVANT STUFF
		map:		map number the quest takes place in
					(players will be warped to it as soon as everyone gets to the teleporter)
		
		layout = {}: 	object layout for the map.
						worth noting the object layout CANNOT be changed in the lobby.
		
		levels = {                                                                    ,..,.,.,.,.,.,..        
			[DIFF_NORMAL] = x,
			[DIFF_HARD] = x,
			[...]
		}: enemy level per difficulty
		
		
		
	}
*/

/*table.insert(PSO.info.quests[mapnum], {
	
	name = "Test quest",
	desc = "Doesn't load object layout, enemy level matches player level",
	objective = "Test your shit",
	
	map = 1,
	
	levels = {
		[DIFF_NORMAL] = 1,
		[DIFF_HARD] = 1,
		[DIFF_VERYHARD] = 1,
		[DIFF_SUPERHARD] = 1,
		[DIFF_EXTREMELYHARD] = 1,
		[DIFF_ULTRAHARD] = 1,
	},
})*/


table.insert(PSO.info.quests[mapnum], {
	
	name = "4-X: Command Origin",
	desc = "We've located the unit that seems to be controlling every other unit. It has a tremendous reading, so be careful.",
	objective = "End the Badnik invasion",
	
	map = mapnum,

	locked = true,		-- initially locked
	unlocks = {{2, 1, DIFF_HARD}, {6, 1}},	-- unlocks 1-1 HARD MODE & boss rush

	drops = {},
	
	levels = {
		[DIFF_NORMAL] = 30,
		[DIFF_HARD] = 50,
	},

	grading = {
		{QG_TIME, 125, 0, TICRATE*60*15, TICRATE*60*20},
		{QG_DAMAGETAKEN, 125, 0, 1500, 4000},
	},
	
	layout = {},
})