/*freeslot("MT_PSO_snowstorm")

mobjinfo[MT_PSO_snowstorm] = {
	doomednum = -1,
	spawnstate = S_THOK,
	spawnhealth = 1000,
	radius = 32<<FRACBITS,
	height = 64<<FRACBITS,
	flags = MF_NOGRAVITY|MF_NOCLIP|MF_NOCLIPHEIGHT,
}*/

local snowstorm_range = 1536
local snowstorm_num = 6

local function doPlayerSnowstorm(p)
	
	if not p.mo or not p.mo.valid return end
	
	local diff = PSO.lib.questDifficulty()
	
	if mapheaderinfo[gamemap].hardsnowstorm
	and diff >= DIFF_HARD
	and p.mo.y > (PSO.info.LOBBY_YPOS)*FRACUNIT	-- bit of a hack
		
		local a = R_PointToAngle(p.mo.x, p.mo.y)
		
		for i = 1, snowstorm_num
			
			local x = p.mo.x + P_RandomRange(-snowstorm_range, snowstorm_range)*FRACUNIT
			local y = p.mo.y + P_RandomRange(-snowstorm_range, snowstorm_range)*FRACUNIT
			local z = p.mo.z + P_RandomRange(-snowstorm_range/4, snowstorm_range/4)*FRACUNIT
			
			local s = P_SpawnMobj(x, y, z, MT_THOK)
			s.scale = P_RandomRange(2, 6)*FRACUNIT
			s.sprite = SPR_BARD
			s.frame = A|TR_TRANS90
			s.color = SKINCOLOR_GREY
			s.colorized = true
			s.spritexscale = P_RandomRange(1, 3)*FRACUNIT
			s.tics = -1
			s.fuse = TICRATE
			s.angle = a+ANG1*90
			P_InstaThrust(s, s.angle, P_RandomRange(16, 32)*FRACUNIT)
			if p ~= displayplayer
				s.flags2 = $|MF2_DONTDRAW
			end
			
			s = P_SpawnMobj(x, y, z, MT_THOK)
			s.sprite = SPR_SNO1
			s.frame = P_RandomRange(A, C)
			s.tics = -1
			s.fuse = TICRATE
			s.angle = a+ANG1*90	
			s.momz = P_RandomRange(-8, -2)*FRACUNIT
			if p ~= displayplayer
				s.flags2 = $|MF2_DONTDRAW
			end
			P_InstaThrust(s, s.angle, P_RandomRange(44, 84)*FRACUNIT)
		end
	end
end

PSO.lib.registerPlayerFunc(doPlayerSnowstorm)