
-- 1star
PSO.info.items["frame"] = {
		
		name = "Frame",
		type = IT_ARMOR,
		rarity = 1,
		def = 4,
		
		desc = "Mass produced armour frame that offers a bit of protection. Given to rookies.",
}

PSO.info.items["light frame"] = {
		
		name = "Light Frame",
		type = IT_ARMOR,
		rarity = 1,
		def = 2,
		slots = 1,
		
		desc = "Lightweight frame designed for beginners with customization in mind.",
}

-- 2star
PSO.info.items["scrap frame"] = {
		
		name = "Scrap Frame",
		type = IT_ARMOR,
		rarity = 2,
		def = 10,
		
		req = 3,
		
		desc = "Frame made from Badnik remains. It's a bit smashed up but surprisingly sturdy.",
}

PSO.info.items["shell frame"] = {
		
		name = "Shell Frame",
		type = IT_ARMOR,
		rarity = 2,
		def = 9,
		slots = 1,
		
		req = 3,
		
		desc = "A surprisingly undamaged badnik part. It has room for modifications.",
}

-- 3star
PSO.info.items["tutel frame"] = {
		
		name = "Tutel Frame",
		type = IT_ARMOR,
		rarity = 3,
		def = 16,
		slots = 2,
		
		req = 7,
		
		desc = "A piece of shell from an oversized badnik. It's sturdy and a bit oversized.",
}

PSO.info.items["stone frame"] = {
		
		name = "Stone Frame",
		type = IT_ARMOR,
		rarity = 3,
		def = 20,
		slots = 1,
		
		req = 8,
		
		desc = "An armor made from solid stone found in a canyon. It's heavy but sturdy.",
}

-- 4star
PSO.info.items["reinforced frame"] = {
		
		name = "Reinforced Frame",
		type = IT_ARMOR,
		rarity = 4,
		def = 26,
		slots = 1,
		
		req = 13,
		
		desc = "A basic armor reinforced to its limits.",
}

PSO.info.items["sneg frame"] = {
		
		name = "Sneg Frame",
		type = IT_ARMOR,
		rarity = 4,
		def = 22,
		slots = 3,
		
		req = 15,
		
		desc = "An armor made from Badnik parts. It's not sturdy but highly customizeable.",
}

PSO.info.items["icicle frame"] = {
		
		name = "Icicle Frame",
		type = IT_ARMOR,
		rarity = 4,
		def = 25,
		slots = 2,
		
		req = 16,
		
		desc = "An armor made from luminescent ice. It's very cold and extremely uncomfortable but it does protect you, somehow.",
}

-- 5star
PSO.info.items["knight frame"] = {
		
		name = "Knight Frame",
		type = IT_ARMOR,
		rarity = 5,
		def = 36,
		slots = 3,
		
		req = 23,
		
		desc = "Armor made from the remains of the Icestabber. It's cold and uncomfortable but really sturdy. It'll have to do.",
}

PSO.info.items["rostig frame"] = {
		
		name = "Rostig Frame",
		type = IT_ARMOR,
		rarity = 5,
		def = 34,
		slots = 2,
		
		req = 21,
		
		desc = "Some broken Badnik armour that has rusted due to constant rain. Despite that, it's strong due to being from a high-end model.",
}

-- 6star
PSO.info.items["fehler frame"] = {
		
		name = "Fehler Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 55,
		slots = 3,
		
		req = 29,
		
		desc = "Broken armour piece from a high-end Badnik model.",
}

PSO.info.items["aileron frame"] = {
		
		name = "Aileron Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 54,
		slots = 3,
		
		req = 31,
		
		desc = "A frame resembling a fin, or maybe a wing? It's highly customizeable.",
}

PSO.info.items["smasher frame"] = {
		
		name = "Smasher Frame",
		type = IT_ARMOR,
		rarity = 6,
		def = 58,
		slots = 4,
		
		req = 35,
		
		desc = "High quality shell from a huge Badnik. Just tearing it off was a hassle.",
}

-- 7star
PSO.info.items["flow frame"] = {
		
		name = "Flow Frame",
		type = IT_ARMOR,
		rarity = 7,
		def = 60,
		slots = 4,
		
		req = 45,
		
		desc = "A bunch of scrap held together by some unknown force. It's far from comfortable but it's very strong.",
}