freeslot("SPR_WAND")

PSO.info.items["wand"] = {
		
		name = "Wand",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 1,
		atk = 14,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_FLAME,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		desc = "Right handed weapon. A solid alternative to the more powerful, but slower Rods that just about anyone can use effectively.",
		
}

PSO.info.items["staff"] = {
		
		name = "Staff",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 2,
		atk = 28,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_BLUE,
		
		req = 4,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		desc = "Right handed weapon. An improved Wand with a higher technique power output with no loss on casting speed.",
		
}

PSO.info.items["batnara"] = {
		
		name = "Batnara",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 3,
		atk = 38,
		
		sprite = SPR_WAND,
		frame = A,
		splatframe = B,
		color = SKINCOLOR_MINT,
		
		req = 8,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		desc = "Right handed weapon. A perfected basic model for wands, this is as far as the mastery of some beginners goes, even.",
		
}

-- 4star
PSO.info.items["scepter"] = {
		
		name = "Scepter",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 4,
		atk = 51,
		
		sprite = SPR_WAND,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_FLAME,
		
		req = 16,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		desc = "Right handed weapon. A new minimalist model of wand. It's pointy, but don't actually try hitting enemies with the weapon itself...",
		
}

PSO.info.items["hammer"] = {
		
		name = "Hammer",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 4,
		atk = 51,
		
		sprite = SPR_WAND,
		frame = G,
		splatframe = H,
		color = SKINCOLOR_FLAME,
		
		req = 16,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 90,
		
		desc = "Right handed weapon. Its name and appearance are barely suited to its actual usage, but that made it popular somehow.",
		
}

-- 5star
PSO.info.items["alva scepter"] = {
		
		name = "Alva Scepter",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 5,
		atk = 64,
		
		sprite = SPR_WAND,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_PURPLE,
		
		req = 24,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 100,
		
		desc = "Right handed weapon. An improvement upon the minimalist yet effective design with no compromises.",
		
}

PSO.info.items["alva hammer"] = {
		
		name = "Alva Hammer",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 5,
		atk = 63,
		
		sprite = SPR_WAND,
		frame = G,
		splatframe = H,
		color = SKINCOLOR_PURPLE,
		
		req = 24,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 90,
		
		desc = "Right handed weapon. The bulky design keeps being used to implement better photon reactors to improve the power and efficiency.",
		
}

-- 6star
PSO.info.items["vita scepter"] = {
		
		name = "Vita Scepter",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 6,
		atk = 79,
		
		sprite = SPR_WAND,
		frame = E,
		splatframe = F,
		color = SKINCOLOR_GOLD,
		
		req = 31,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 110,
		
		desc = "Right handed weapon. The small stature made it impossible to improve the power without losing on efficiency.",
		
}

PSO.info.items["vita hammer"] = {
		
		name = "Vita Hammer",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 6,
		atk = 79,
		
		sprite = SPR_WAND,
		frame = G,
		splatframe = H,
		color = SKINCOLOR_GOLD,
		
		req = 16,
		
		range = 1024,
		pa_damage = 90,
		pa_cost = 100,
		
		desc = "Right handed weapon. Its large body allowed it to retain some efficiency in its final upgrade.",
		
}

-- 7star
PSO.info.items["orakl wand"] = {
		
		name = "Orakl Wand",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 7,
		atk = 101,
		
		sprite = SPR_WAND,
		frame = C,
		splatframe = D,
		
		req = 41,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 90,
		
		desc = "Right handed weapon. Has an ARKS moniker despite never having been constructed officially, also seems like it's quite roughed up, which is weird for a wand.",
		
}

PSO.info.items["asterod"] = {
		
		name = "Asterod",
		type = IT_WEAPON,
		weapontype = WPT_WAND,
		rarity = 7,
		atk = 92,
		
		sprite = SPR_WAND,
		frame = I,
		splatframe = J,
		
		req = 35,
		
		range = 1024,
		pa_damage = 100,
		pa_cost = 105,
		
		desc = "Right handed weapon. Uses a Unidus to command Photons which works surprisingly well, just watch out for the small spikeballs.",
		
}