-- Makes the discs for PAs

for k,v in pairs(PSO.info.photonArts)
	
	local pa = v
	
	-- we don't need normals as disks lmfao
	if not pa.cost
		continue
	end
	
	local index = k
	--p.pso.photonarts[k] = 1|2
	local desc = ""

	-- what weapon's it for?
	-- what index is it?
	local typ = 0
	local num = 0
	
	for key,val in pairs(PSO.info.weaponPhotonArts)
		for i = 1, #val
				
			if val[i] == k
				num = i
				typ = key
				break 2
			end
		end
	end
	
	if pa.technique
		desc = "Technique disc. "
	else
		desc = (PSO.info.weaponnames[typ] or "NO WEAPON?").." Photon Art disc. "
	end
	
	desc = $..pa.desc
	
	PSO.info.items[index] = {
			name = pa.name,
			type = IT_CONSUMABLE,
			icon = "H_IICOC",
			rarity = 4,
			cost = 10000,
			
			desc = desc,
			
			-- if false, the item can't be used.
			canuse = 	function(p)
							return not (p.pso.photonarts[typ] & (2^(num-1)))
						end,
			
			use =	function(p)
						p.pso.photonarts[typ] = $ | (2^(num-1))
						--print("Learned: "..PSO.info.photonArts[PSO.info.weaponPhotonArts[typ][num]].name)
						
						S_StartSound(p.mo, sfx_heal)
					end,
	}
end