PSO.info.menus["map"] = {
	
	hudfunc = function(v, p, c, choices, choice, timer)
		drawMainMenu(v, p, c, 3, 999)

		local xpos = 2
		local w = 180
		local y = 20
		local h = 32
		
		v.drawFill(xpos, y, w, h, 253|V_SNAPTOLEFT)
		
		for i = 1, #choices
			
			v.drawString(xpos + 2, y+8, (i == choice and "\x82"..">" or "")..choices[i][1], V_SNAPTOLEFT)
			
			local arr1 = ((i == choice and leveltime%10 < 5) and "\x82".."<" or "")
			local arr2 = ((i == choice and leveltime%10 < 5) and ">" or "")
			
			local str = p.pso.tempprefs[i] and "YES" or "NO"
			v.drawString(xpos + 148, y+8, arr1..str..arr2, V_SNAPTOLEFT, "center")
			
			y = $ + 8
		end
	end,
	
	openfunc = function(p)
		p.pso.tempprefs = {
			cv_useminimap.value and true or false,
			cv_maprotation.value and true or false,
		}
	end,
	
	runfunc = function(p)
		local input = PSO.lib.playerInputDown
		local c = p.pso.menu.choice
		
		if input(p, IPT_BACK) == 1
			
			PSO.lib.changeMenu(p, "main")
			p.pso.menu.timer = TICRATE*10	-- cheat.
			p.pso.menu.choice = 3			
			S_StartSound(nil, sfx_mback, p)
		end
		
		if input(p, "left") == 1
		or input(p, "right") == 1
			
			p.pso.tempprefs[c] = p.pso.tempprefs[c] == false and true or false
			S_StartSound(nil, sfx_mhvr, p)
		end
	end,
	
	closefunc = function(p)
		CV_StealthSet(cv_useminimap, p.pso.tempprefs[1] and 1 or 0)
		CV_StealthSet(cv_maprotation, p.pso.tempprefs[2] and 1 or 0)
		PSO.lib.playerSavePrefs(p)
		--COM_BufInsertText(p, "pso_prefs_toggles "..(p.pso.tempprefs[1] and 1 or 0).." "..(p.pso.tempprefs[2] and 1 or 0).." "..(p.pso.tempprefs[3] and 1 or 0))
	end,
	
	choices = {
		
		{"USE MINIMAP", nil},
		{"ROTATE MINIMAP", nil},
	},
}